tmate broken in ubuntu 19.10

Bug #1851199 reported by msaxl on 2019-11-04
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
msgpack-c (Ubuntu)
Undecided
Unassigned
tmate (Ubuntu)
Undecided
Unassigned

Bug Description

the tmate build of ubuntu 19.10 ist broken.

when launching tmate it immediatly quits with the only message [lost server]. The terminal is in a broken state (ex echo off)

since both tmate and libmsgpackc2 come from ubuntu:

libmsgpackc2:
  Installed: 3.0.1-3
  Candidate: 3.0.1-3
  Version table:
 *** 3.0.1-3 500
        500 http://de.archive.ubuntu.com/ubuntu eoan/universe amd64 Packages
        100 /var/lib/dpkg/status

tmate:
  Installed: 2.2.1-1build3
  Candidate: 2.2.1-1build3
  Version table:
 *** 2.2.1-1build3 500
        500 http://de.archive.ubuntu.com/ubuntu eoan/universe amd64 Packages
        100 /var/lib/dpkg/status

it means somehow the build is broken or tmate and libmsgpackc2 are incompatible

Paul White (paulw2u) on 2019-11-04
affects: ubuntu → tmate (Ubuntu)
tags: added: eoan
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in msgpack-c (Ubuntu):
status: New → Confirmed
Changed in tmate (Ubuntu):
status: New → Confirmed
t2d (t2d) wrote :

Are there known workarounds?

t2d (t2d) wrote :

I just realized, the latest static builds "just work"
https://github.com/tmate-io/tmate/releases/tag/2.4.0

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers